<template>
  <input
    :value="modelValue"
    type="text"
    :placeholder="placeholder"
    class="w-full text-log font-normal focus:outline-none"
    @input="$emit('update:modelValue', $event.target.value)"
  />
</template>

<script>
export default {
  name: "TextInput",
  props: {
    placeholder: {
      type: String,
      required: false,
      default: "",
    },
    modelValue: {
      type: String,
      required: true,
    },
  },
  emits: { "update:modelValue": null },
};
</script>
